- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::DirectoryReader Class Reference

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a directory. More...

`#include <gfilestore.h>`

Inheritance diagram for GSmtp::DirectoryReader:

## Public Member Functions
| DirectoryReader ()
| Default constructor. More...
| ~DirectoryReader ()
| Destructor. Switches identity back. More...

## Detailed Description

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a directory.

See also
  G::Root

Definition at line 178 of file gfilestore.h.

## Constructor & Destructor Documentation

GSmtp::DirectoryReader::DirectoryReader | ( |  | ) |

Default constructor.

Switches identity for reading a directory.

Definition at line 304 of file gfilestore.cpp.

GSmtp::DirectoryReader::~DirectoryReader | ( |  | ) |

Destructor. Switches identity back.

Definition at line 308 of file gfilestore.cpp.

The documentation for this class was generated from the following files:

- gfilestore.h
- gfilestore.cpp